import {Character} from "../characters/Character";
import {Condition} from "./condition/Condition";

export abstract class AbstractInteraction {
  sourceCharacter: Character
  targetCharacter: Character

  conditions: Condition[] = []

  interactionLabel: string


  constructor(sourceCharacter: Character, targetCharacter: Character, interactionLabel: string) {
    this.sourceCharacter = sourceCharacter;
    this.targetCharacter = targetCharacter;
    this.interactionLabel = interactionLabel;
  }
}
